Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Typedefs | Functions
testclosure.c File Reference
`#include "ffitest.h"`

Go to the source code of this file.

## Data Structures
struct | cls_struct_combined

## Typedefs
typedef struct cls_struct_combined | cls_struct_combined

## Functions
void | cls_struct_combined_fn (struct cls_struct_combined arg)
int | main (void)

## Typedef Documentation

## ◆ cls_struct_combined

typedef struct cls_struct_combined cls_struct_combined

## Function Documentation

## ◆ cls_struct_combined_fn()

void cls_struct_combined_fn | ( | struct cls_struct_combined | arg | ) |

Definition at line 17 of file testclosure.c.

References arg, fflush(), printf(), and stdout.

## ◆ main()

int main | ( | void |  | ) |

Definition at line 37 of file testclosure.c.

References CHECK, FFI_DEFAULT_ABI, ffi_prep_cif(), ffi_prep_closure_loc(), ffi_type_void, and NULL.